## hoichess 0.5.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 1207 2006-06-09 18:41:56Z holger $
+# $Id: Makefile 1274 2006-07-17 07:09:11Z holger $
 
 # Make these variables also available to sub-makes.
 export top_srcdir = $(shell pwd)
@@ -31,9 +31,14 @@
 clean:
 	$(MAKE) -C src PLATFORM=unix clean
 	$(MAKE) -C src PLATFORM=mingw32 clean
+	$(MAKE) -C src PLATFORM=win32 clean
 	rm -f hoichess.6 hoichess.6.html
 	rm -f *.tmp
 	rm -rf dist
+
+.PHONY: maintainer-clean
+maintainer-clean: clean
+	$(MAKE) -C src maintainer-clean
 
 
 ###############################################################################
@@ -50,7 +55,8 @@
 				Makefile hoichess.6.pod \
 				src/Makefile src/Makefile.local \
 				$(wildcard src/*.cc src/*.h) \
-				$(wildcard src/*/*.cc src/*/*.h)
+				$(wildcard src/*/*.cc src/*/*.h) \
+				$(wildcard src/build/*)
 
 DIST_SRC_NONSOURCES	= hoichess.6 hoichess.6.html
 
@@ -60,7 +66,7 @@
 
 DIST_WIN32_SOURCES	= AUTHORS BUGS ChangeLog LICENSE README
 DIST_WIN32_NONSOURCES	= hoichess.6.html
-DIST_WIN32_BINS		= msvc/Release/hoichess.exe
+DIST_WIN32_BINS		= src/.build-win32/hoichess.exe
 
 
 .PHONY: dist dist-src
@@ -78,11 +84,12 @@
 	cd dist && zip -q -9 -r $(DIST_SRC_NAME).zip $(DIST_SRC_NAME)
 
 
-$(DIST_WIN32_BINS):
+.PHONY: $(DIST_MINGW32_BINS)
+$(DIST_MINGW32_BINS):
 	$(MAKE) -C src PLATFORM=mingw32
 
 .PHONY: dist-mingw32
-dist-mingw32: $(DIST_MINGW32_NONSOURCES) $(DIST_WIN32_BINS)
+dist-mingw32: $(DIST_MINGW32_NONSOURCES) $(DIST_MINGW32_BINS)
 	mkdir -p dist
 	
 	rm -rf dist/$(DIST_MINGW32_NAME)
