=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 1210 2006-06-09 18:58:01Z holger $
+# $Id: Makefile 1268 2006-07-15 09:03:48Z holger $
 
 PLATFORM = unix
 
@@ -73,10 +73,15 @@
 compile.h: $(subst compile.h,,$(SOURCES) $(HEADERS))
 	touch $@
 
+debug_printconfig.h: config.h build/mk_debug_config_h.sh
+	build/mk_debug_config_h.sh > $@
+
+# link object files
 $(BIN): $(BUILDDIR_OBJS)
 	@mkdir -p $(dir $@)
 	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(LIBPATH) $(LIBS) -o $@ $^
 
+# compile source files
 $(BUILDDIR)/%.o: %.cc Makefile Makefile.local
 	@mkdir -p $(dir $@)
 	$(CXX) $(CXXFLAGS) $(INCLUDE) -c -o $@ $<
@@ -92,6 +97,10 @@
 	#rm -f $(BIN) $(OBJS)
 	rm -rf $(BUILDDIR) $(DEPSDIR)
 
+.PHONY: maintainer-clean
+maintainer-clean: clean
+	rm -f debug_printconfig.h
+	
 
 # Generate dependencies
 $(DEPSDIR)/%.d: %.cc
@@ -103,5 +112,7 @@
 
 # Include dependencies
 ifneq ($(MAKECMDGOALS),clean)
+ifneq ($(MAKECMDGOALS),maintainer-clean)
 -include $(foreach file,$(OBJS:.o=.d),$(DEPSDIR)/$(file))
 endif
+endif
