## hoichess 0.8.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 1274 2006-07-17 07:09:11Z holger $
+# $Id: Makefile 1350 2006-08-04 16:53:56Z holger $
 
 # Make these variables also available to sub-makes.
 export top_srcdir = $(shell pwd)
@@ -56,17 +56,20 @@
 				src/Makefile src/Makefile.local \
 				$(wildcard src/*.cc src/*.h) \
 				$(wildcard src/*/*.cc src/*/*.h) \
+				$(wildcard src/*/*/*.cc src/*/*/*.h) \
 				$(wildcard src/build/*)
 
 DIST_SRC_NONSOURCES	= hoichess.6 hoichess.6.html
 
 DIST_MINGW32_SOURCES	= AUTHORS BUGS ChangeLog LICENSE README
 DIST_MINGW32_NONSOURCES	= hoichess.6 hoichess.6.html
-DIST_MINGW32_BINS	= src/.build-mingw32/hoichess.exe
+DIST_MINGW32_BINS	= src/.build-mingw32/hoichess.exe \
+			  src/.build-mingw32/hoixiangqi.exe
 
 DIST_WIN32_SOURCES	= AUTHORS BUGS ChangeLog LICENSE README
 DIST_WIN32_NONSOURCES	= hoichess.6.html
-DIST_WIN32_BINS		= src/.build-win32/hoichess.exe
+DIST_WIN32_BINS		= src/.build-win32/hoichess.exe \
+			  src/.build-win32/hoixiangqi.exe
 
 
 .PHONY: dist dist-src
