## hoichess 0.10.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 1350 2006-08-04 16:53:56Z holger $
+# $Id: Makefile 1452 2007-10-30 16:11:59Z holger $
 
 # Make these variables also available to sub-makes.
 export top_srcdir = $(shell pwd)
