=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 1350 2006-08-04 16:53:56Z holger $
+# $Id: Makefile 1452 2007-10-30 16:11:59Z holger $
 
 PLATFORM = unix
 
@@ -22,10 +22,6 @@
 BUILDDIR         = .build-$(PLATFORM)
 BUILDDIR_CHESS   = $(BUILDDIR)/.hoichess
 BUILDDIR_XIANGQI = $(BUILDDIR)/.hoixiangqi
-
-DEPSDIR         = $(BUILDDIR)
-DEPSDIR_CHESS   = $(DEPSDIR)/.hoichess
-DEPSDIR_XIANGQI = $(DEPSDIR)/.hoixiangqi
 
 SOURCES_COMMON  = $(wildcard *.cc)
 SOURCES_CHESS   = $(wildcard chess/*.cc)
@@ -121,7 +117,7 @@
 # compile source files
 $(BUILDDIR_CHESS)/%.o $(BUILDDIR_XIANGQI)/%.o: %.cc Makefile Makefile.local
 	@mkdir -p $(dir $@)
-	$(CXX) $(CXXFLAGS) $(INCLUDE) -c -o $@ $<
+	$(CXX) $(CXXFLAGS) $(INCLUDE) -MT $@ -MD -MF $(patsubst %.o,%.d,$@) -c -o $@ $<
 
 
 .PHONY: install
@@ -132,7 +128,7 @@
 
 .PHONY: clean
 clean:
-	rm -rf $(BUILDDIR) $(DEPSDIR)
+	rm -rf $(BUILDDIR)
 
 .PHONY: maintainer-clean
 maintainer-clean: clean
@@ -140,26 +136,10 @@
 	
 
 
-# Generate dependencies
-
-$(DEPSDIR_CHESS)/%.d: %.cc
-	@mkdir -p $(dir $@)
-	$(CPP) $(CXXFLAGS) $(INCLUDE) -Ichess -DHOICHESS 	 	\
-		-MM -MT '$(patsubst %.cc,$(BUILDDIR_CHESS)/%.o,$<)' $<	\
-		| sed 's,\($*\)\.o *:,\1.o $@:,g' > $@
-	if [ ! -s $@ ]; then rm -f $@; fi
-
-$(DEPSDIR_XIANGQI)/%.d: %.cc
-	@mkdir -p $(dir $@)
-	$(CPP) $(CXXFLAGS) $(INCLUDE) -Ixiangqi -DHOIXIANGQI	 	\
-		-MM -MT '$(patsubst %.cc,$(BUILDDIR_XIANGQI)/%.o,$<)' $<   \
-		| sed 's,\($*\)\.o *:,\1.o $@:,g' > $@
-	if [ ! -s $@ ]; then rm -f $@; fi
-
 # Include dependencies
 ifneq ($(MAKECMDGOALS),clean)
 ifneq ($(MAKECMDGOALS),maintainer-clean)
--include $(foreach file,$(ALL_OBJS:.o=.d),$(DEPSDIR_CHESS)/$(file))
--include $(foreach file,$(ALL_OBJS:.o=.d),$(DEPSDIR_XIANGQI)/$(file))
+-include $(patsubst %.o,%.d,$(BUILDDIR_OBJS_CHESS))
+-include $(patsubst %.o,%.d,$(BUILDDIR_OBJS_XIANGQI))
 endif
 endif
