## hoichess 0.10.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 1452 2007-10-30 16:11:59Z holger $
+# $Id: Makefile 1462 2007-12-18 20:49:56Z holger $
 
 # Make these variables also available to sub-makes.
 export top_srcdir = $(shell pwd)
