=== debian/changelog ===
hoichess (0.10.3-6.1) unstable; urgency=low

  [ Matthias Klose ]
  * Non maintainer upload.
  * Fix build failure with GCC 4.7. Closes: #667202.

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 20 May 2012 22:57:15 +0100

hoichess (0.10.3-6) unstable; urgency=low

  * Standards Version update to 3.9.2
  * Removed knights from the Recommends: field in control 
  * Switch to dpkg-source 3.0 (quilt) format. This requests newer 
    debhelper scripts. Added a dependency.
  * Order matters with linking and ld-as-needed. Took the patch from 
    Matthias Klose <doko@ubuntu.com>. Thanks. (Closes: #641727)

 -- Oliver Korff <ok@xynyx.de>  Thu, 13 Oct 2011 21:51:35 +0200

hoichess (0.10.3-5) unstable; urgency=low

  * Replaced the build dependency of libreadline5-dev to 
    libreadline-dev this (Closes: #553781)
  * This software is discontinued by its author, I will maintain it 
    as long as I can. Added a note to the copyright file. 

 -- Oliver Korff <ok@xynyx.de>  Mon, 02 Nov 2009 16:47:53 +0100

hoichess (0.10.3-4) unstable; urgency=low

  * added include for iostream in debug_printconfig.h this fixes FTBFS
    and (Closes: #542135) and (Closes: #542986)
  * removed watchfile, homepage is not available anymore
  * Standards Version update to 3.8.3

 -- Oliver Korff <ok@xynyx.de>  Fri, 21 Aug 2009 21:03:55 +0200

hoichess (0.10.3-3) unstable; urgency=low

  * opening book recommendation removed, the book is 
    not in debian right now, it is too huge
  * control file: Homepage removed, upstream is not active any more
    I will support hoichess as long as I can, because hoxianxi the 
    chinese chess engine is unique in debian
  * Standards Version to 3.8.1
  * Set debhelper version to >=7.0.0
  * Set compat level to 7
  * Removed dh_clean -k from rules and added dh_prep

 -- Oliver Korff <ok@xynyx.de>  Sat, 06 Jun 2009 14:21:03 +0200

hoichess (0.10.3-2) unstable; urgency=low

  * Set default path to find future opening books
  * The book file will be provided in the package hoichess-book
  * Package now recommends the opening book

 -- Oliver Korff <ok@xynyx.de>  Thu, 21 Feb 2008 13:00:05 +0100

hoichess (0.10.3-1) unstable; urgency=low

  * New Upstream version 
  * Fixes gcc-4.3 missing icludes (Closes: #455143)

 -- Oliver Korff <ok@xynyx.de>  Tue, 08 Jan 2008 15:32:37 +0100

hoichess (0.10.2-1) unstable; urgency=low

  * New Upstream Release
  * Added perl build dependency

 -- Oliver Korff <ok@xynyx.de>  Fri, 09 Nov 2007 17:22:01 +0100

hoichess (0.9.0-1) unstable; urgency=low

  * New upstream version 0.9.0
  * Upstream Author added gcc-4.3 includes Closes: #417225
  * removed checklib dependency libm.so.6 

 -- Oliver Korff <ok@xynyx.de>  Thu, 21 Jun 2007 13:35:24 +0200

hoichess (0.8.0-1) unstable; urgency=low

  * New upstream version 0.8.0
  * New binary hoixiangqi ("Chinese chess") playing program
  * Added more info regarding opening book to README.Debian

 -- Oliver Korff <ok@xynyx.de>  Sat, 16 Dec 2006 14:32:40 +0100

hoichess (0.5.1-1) unstable; urgency=low

  * New upstream version 0.5.1 Closes: #379233

 -- Oliver Korff <ok@xynyx.de>  Thu,  3 Aug 2006 01:25:04 +0200

hoichess (0.4.3-2) unstable; urgency=low

  * altered compile options, MAKE += CXX=g++ CXXFLAGS="$(CFLAGS)"
  * The fix will be valid for upcoming versions Closes: #364656

 -- Oliver Korff <ok@xynyx.de>  Sun, 25 Jun 2006 10:26:50 +0200

hoichess (0.4.3-1) unstable; urgency=low

  * New Upstream Version
  * Added readline support, for the commandline interface

 -- Oliver Korff <ok@xynyx.de>  Tue, 20 Jun 2006 20:53:07 +0200

hoichess (0.4.1-1) unstable; urgency=low

  * New Upstream Version
  * altered compile options, no march=i686 anymore Closes: #364656

 -- Oliver Korff <ok@xynyx.de>  Tue,  2 May 2006 10:23:13 +0200

hoichess (0.4.0-1) unstable; urgency=low

  * Initial release Closes: #334927

 -- Oliver Korff <ok@xynyx.de>  Sun, 19 Mar 2006 20:41:15 +0100
