=== debian/control ===
Source: hoichess
Section: games
Priority: optional
Maintainer: Oliver Korff <ok@xynyx.de>
Build-Depends: libreadline-dev, debhelper (>= 7.0.50~), perl
Standards-Version: 3.9.2

Package: hoichess
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xboard (>=4.2.7-1) | scid 
Description: xboard compatible chess engine to play chess with
 chess engine compatible with xboard, but may also be used 
 stand-alone, via terminal. Hoichess is written in C++ for
 GNU/Linux systems, but should work on most other Unix like 
 systems. It provides also a xiangqi ("Chinese chess") playing 
 program.
