=== debian/watch ===
# This source is discontinued by its author and will be 
# maintained by the package maintainer as long as the problems 
# can be handled.
