## hoichess 0.19.0

=== Makefile ===
prefix = /usr
# Make these variables also available to sub-makes.
export bindir = $(prefix)/games
export docdir = $(prefix)/share/doc/hoichess
export mandir = $(prefix)/share/man
export datadir = $(prefix)/share/games/hoichess


VERSION := $(shell grep '^Version' ChangeLog | head -n 1 | awk '{ print $$2; }')
TARGET := $(shell $(CXX) -dumpmachine)
ifeq ($(TARGET),)
$(error Unable to determine compiler target)
endif


#
# Build
#

.PHONY: all
all: compile book doc cfg

.PHONY: compile
compile:
	$(MAKE) -C src all

.PHONY: book
book:
	$(MAKE) -C book

.PHONY: doc
doc: hoichess.6 hoichess.6.html

hoichess.6: hoichess.6.pod
	pod2man -n hoichess -s 6 -r "hoichess-$(VERSION)" -c Games $< $@

hoichess.6.html: hoichess.6.pod
	pod2html --title "HoiChess" $< > $@

.PHONY: cfg
cfg: hoichess.rc hoixiangqi.rc

hoichess.rc hoixiangqi.rc: %: %.in
	m4 -D DATADIR=$(datadir) $< > $@


#
# Install
#

.PHONY: install
install: install-bin


INSTALL_BIN_DOCS = AUTHORS BUGS ChangeLog LICENSE README hoichess.6.html
INSTALL_BIN_DATA = hoichess.rc hoixiangqi.rc

.PHONY: install-bin 
install-bin: all
	$(MAKE) -C src install DESTDIR="$(DESTDIR)"
	install -m 644 -D hoichess.6 $(DESTDIR)$(mandir)/man6/hoichess.6
	install -m 755 -d $(DESTDIR)$(docdir)
	install -m 644 $(INSTALL_BIN_DOCS) $(DESTDIR)$(docdir)
	install -m 755 -d $(DESTDIR)$(datadir)
	install -m 644 $(INSTALL_BIN_DATA) $(DESTDIR)$(datadir)
	$(MAKE) -C book install DESTDIR="$(DESTDIR)"


#
# Build binary distribution
#

DIST_BIN_NAME = hoichess-$(VERSION)-bin.$(TARGET)
# We need an absolute path because it is passed to a sub-make
DIST_OUTDIR = $(shell pwd)/dist

.PHONY: dist-bin
dist-bin: dist-bin-$(TARGET)

.PHONY: dist-bin-$(TARGET)
dist-bin-$(TARGET): prefix=$(DIST_OUTDIR)/$(DIST_BIN_NAME)
dist-bin-$(TARGET): bindir=$(prefix)/bin
dist-bin-$(TARGET): datadir=$(prefix)/share/games/hoichess
dist-bin-$(TARGET): docdir=$(prefix)/doc
dist-bin-$(TARGET): mandir=$(prefix)/man
dist-bin-$(TARGET):
	rm -rf $(DIST_OUTDIR)/$(DIST_BIN_NAME)
	$(MAKE) install-bin bindir=$(bindir) datadir=$(datadir) docdir=$(docdir) mandir=$(mandir)
	rm -f $(DIST_OUTDIR)/$(DIST_BIN_NAME).zip
	cd $(DIST_OUTDIR) && tar -czf $(DIST_BIN_NAME).tar.gz $(DIST_BIN_NAME)
	cd $(DIST_OUTDIR) && zip -q -9 -r $(DIST_BIN_NAME).zip $(DIST_BIN_NAME)


#
# Clean
#

.PHONY: clean
clean:
	$(MAKE) -C src clean
	rm -f hoichess.6 hoichess.6.html pod2htmd.tmp pod2htmi.tmp
	rm -f hoichess.rc hoixiangqi.rc
	$(MAKE) -C book clean
	rm -rf $(DIST_OUTDIR)

.PHONY: maintainer-clean
maintainer-clean: clean
	$(MAKE) -C src maintainer-clean
