=== debian/changelog ===
hoichess (0.19.0-2) unstable; urgency=medium

  * QA upload
  * Suggest instead of Recommend xboard | scid. Closes: #820461
  * Suggest gnome-chess as an alternative too
  * Import to collab-maint and set Vcs fields

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Sep 2016 14:59:21 -0400

hoichess (0.19.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release (closes: #786449).
  * Ack for NMU. Thanks a lot to Matthias Klose for the fix to build failure
    with GCC 4.7. (Closes: #667202)
  * Set Debian QA Group as maintainer (see #835307).
  * Bump DH to 9.
  * Bump Standards-Version to 3.9.8.
  * debian/control:
    - Add Homepage.
  * debian/dirs: Remove file, upstream already creates needed dirs.
  * debian/patches:
    - The following patches were removed because they were applied upstream or
      are no more needed.
      ~ 01-Makefile.
      ~ 01-ld-as-needed.
      ~ 02-Makefile.local.
      ~ 03-config.h.
      ~ 04-debug_printconfig.h.
      ~ 05-ftbfs-gcc-4.7.
    - New patches:
      ~ docs.patch: Let DH ship changelog and license files and drop html
        manual.
      ~ flags.patch: Use DH compilation flags.
  * debian/rules:
    - Export DEB_BUILD_MAINT_OPTIONS = hardening=+all, in order to enable
      hardening.
    - Export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed, in order to disable
      useless dependencies.
    - Remove comments and trailing whitespace.
  * debian/watch: Add proper url and set to version 4.
  * wrap-and-sort -a.

 -- Samuel Henrique <samueloph@gmail.com>  Sun, 04 Sep 2016 17:03:11 -0300
