=== debian/control ===
Source: hoichess
Section: games
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9),
               libreadline-dev,
               perl
Standards-Version: 3.9.8
Homepage: http://www.hoicher.de/hoichess/
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/hoichess.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/hoichess.git

Package: hoichess
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: gnome-chess| xboard (>= 4.2.7-1) | scid
Description: xboard compatible chess engine to play chess with
 chess engine compatible with xboard, but may also be used
 stand-alone, via terminal. Hoichess is written in C++ for
 GNU/Linux systems, but should work on most other Unix like
 systems. It provides also a xiangqi ("Chinese chess") playing
 program.
