=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_link:
	dh_link usr/share/man/man6/hoichess.6.gz usr/share/man/man6/hoixiangqi.6.gz
