=== debian/changelog ===
hoichess (0.21.0-2) unstable; urgency=medium

  * d/p/agnostic*.patch: new patch to introduce reproducible builds, thanks to
    Daniel Shahaf <danielsh@apache.org> for creating the patch, Chris Lamb
    <lamby@debian.org> for reporting and helping with another patch and
    hoichess's upstream Holger Ruckdeschel <holger@hoicher.de> for the help
    (closes: #847768).

 -- Samuel Henrique <samueloph@gmail.com>  Sun, 25 Jun 2017 20:45:17 -0300

hoichess (0.21.0-1) unstable; urgency=medium

  * New upstream version 0.21.0.
  * Bump Standards-Version to 4.0.0.
  * d/patches:
    - docs.patch: refresh patch.
    - flags.patch: update patch.
    - sparc32 and reproducible-build: no more needed/applied upstream.

 -- Samuel Henrique <samueloph@gmail.com>  Sat, 17 Jun 2017 21:01:28 -0300

hoichess (0.19.0-5) unstable; urgency=medium

  * Bump DH level to 10.
  * debian/control: Build-Depends on m4, detected on bpo FTBFS and confirmed
    looking at Makefile.

 -- Samuel Henrique <samueloph@gmail.com>  Mon, 26 Sep 2016 11:17:09 -0300

hoichess (0.19.0-4) unstable; urgency=medium

  * Use opening book from pgn-extract, thanks to Holger Ruckdeschel
    (closes: #401164).
  * debian/clean: Create file and add book/hoichess-book.pgn.
  * debian/control: Build-Depends on pgn-extract.
  * debian/patches:
    - flags.patch: Refresh patch to make book/Makefile use DH flags.
    - sparc32.patch: New patch to remove sparc32 files that causes FTBFS.
  * debian/rules: override_dh_auto_build: Copy opening book from pgn-extract.

 -- Samuel Henrique <samueloph@gmail.com>  Tue, 13 Sep 2016 20:37:19 -0300

hoichess (0.19.0-3) unstable; urgency=medium

  * New maintainer. Thanks to all previous people that have worked on this
    package, special mention to Joao Eriberto Mota Filho <eriberto@debian.org>,
    whom sponsored me and dedicated a lot of time and effort into reviewing my
    changes (closes: #835307).
  * debian/copyright: Switch to DEP-5 format.
  * debian/patches:
    - reproducible-build.patch: New patch, sort source files for deterministic
      linking order, thanks to Reiner Herrmann (closes: #826982).

 -- Samuel Henrique <samueloph@gmail.com>  Fri, 09 Sep 2016 11:57:30 -0300
