=== debian/watch ===
version=4
http://www.hoicher.de/hoichess/download/hoichess-(.+)-gpl\.tar\.gz
