## hoichess 0.22.0

=== book/Makefile ===
--- 
+++ 
@@ -26,9 +26,9 @@
 
 .PHONY: install
 install: all
-	$(INSTALL) -d $(DESTDIR)$(datadir)
+	$(INSTALL) -d $(DESTDIR)$(install_datadir)
 ifneq ($(BOOKS),)
-	$(INSTALL) -m 644 $(BOOKS) $(DESTDIR)$(datadir)
+	$(INSTALL) -m 644 $(BOOKS) $(DESTDIR)$(install_datadir)
 endif
