=== src/Makefile ===
--- 
+++ 
@@ -72,6 +72,7 @@
 SOURCES += \
 	mutex.cc \
 	queue.cc \
+	spinlock.cc \
 	thread.cc \
 	common/parallelsearch.cc
 endif
