=== debian/changelog ===
hoichess (0.22.0-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (closes: #930460)
    + Annotate Build-Depends: perl with :native.
    + Also pass CXX to make install.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Samuel Henrique ]
  * Bump DH to 13
  * Bump Standards-Version to 4.5.0
  * Add d/salsa-ci.yml and d/gbp.conf
  * d/rules: Remove '-Wl,--as-needed' linker flag default on bullseye
  * d/control: Add 'Rules-Requires-Root: no'

 -- Samuel Henrique <samueloph@debian.org>  Sat, 04 Jul 2020 14:11:56 +0100

hoichess (0.22.0-1) unstable; urgency=medium

  * New upstream version 0.22.0
  * Bump DH level to 11
  * Bump Standards-Version to 4.1.4.1
  * Change email address of Samuel to d.o
  * Update Vcs-* field to point to salsa
  * d/pachtes: dirname-agnostic: 1 is applied upstream and 2 got refreshed
  * d/copyright: update debian/* entry

 -- Samuel Henrique <samueloph@debian.org>  Thu, 24 May 2018 18:34:56 -0300
