=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: hoichess
 Section: games
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9),
+Maintainer: Samuel Henrique <samueloph@debian.org>
+Build-Depends: debhelper-compat (= 13),
                libreadline-dev,
-               perl
-Standards-Version: 3.9.8
+               m4,
+               perl:native,
+               pgn-extract
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.hoicher.de/hoichess/
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/hoichess.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/hoichess.git
+Vcs-Browser: https://salsa.debian.org/debian/hoichess
+Vcs-Git: https://salsa.debian.org/debian/hoichess.git
 
 Package: hoichess
 Architecture: any
